Bug 865421 - Wget 1.14 is not compiled with libuuid
Wget 1.14 is not compiled with libuuid
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wget (Show other bugs)
18
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomáš Hozza
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 08:05 EDT by Tomáš Hozza
Modified: 2012-11-10 12:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-10 12:40:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomáš Hozza 2012-10-11 08:05:49 EDT
Description of problem:
In version 1.14 wget now supports WARC files. In wget source in file "warc.c" there is a function "warc_uuid_str" which uses libuuid library functions if the library headers are present in compilation time. 

If libuuid headers are not present in compilation time, "warc.c" contains a fallback function which implements the missing libuuid functionality. The function comment contains:
"Note: this is a fallback method, it is much better to use the
 methods provided by libuuid."

Therefore wget should be compiled with libuuid.


Version-Release number of selected component (if applicable):
wget-1.14-2.fc18


How reproducible: 
Always


Steps to Reproduce:
1. Check build.log of wget build in Koji (http://kojipkgs.fedoraproject.org//packages/wget/1.14/2.fc18/data/logs/x86_64/).
2. Find configure script output complaining about uuid.h is not present.

  
Actual results:
checking uuid/uuid.h usability... no
checking uuid/uuid.h presence... no
checking for uuid/uuid.h... no


Expected results:
checking uuid/uuid.h usability... yes
checking uuid/uuid.h presence... yes
checking for uuid/uuid.h... yes

Additional info:
Comment 1 Fedora Update System 2012-10-17 07:18:30 EDT
wget-1.14-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-16225/wget-1.14-3.fc18
Comment 2 Fedora Update System 2012-10-17 13:34:28 EDT
Package wget-1.14-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing wget-1.14-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16225/wget-1.14-3.fc18
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.